#!/bin/sh
export PATH='/sbin:/bin:/usr/sbin:/usr/bin:/usr/games:/usr/local/sbin:/usr/local/bin:/root/bin'
echo 'name: cprng-aes
version: 0.6.1
id: cprng-aes-0.6.1-0608891d34c19a91561da947453d0c83
key: cprng_LBCPM11dkqSCRdxKo2n2qB
license: BSD3
copyright: Vincent Hanquez <vincent@snarc.org>
maintainer: Vincent Hanquez <vincent@snarc.org>
stability: experimental
homepage: http://github.com/vincenthz/hs-cprng-aes
synopsis: Crypto Pseudo Random Number Generator using AES in counter mode.
description:
    Simple crypto pseudo-random-number-generator with really good randomness property.
    .
    Using ent, a randomness property maker on one 1Mb sample:
    Entropy = 7.999837 bits per byte.
    Optimum compression would reduce the size of this 1048576 byte file by 0 percent.
    Chi square distribution for 1048576 samples is 237.02
    Arithmetic mean value of data bytes is 127.3422 (127.5 = random)
    Monte Carlo value for Pi is 3.143589568 (error 0.06 percent)
    .
    Compared to urandom with the same sampling:
    Entropy = 7.999831 bits per byte.
    Optimum compression would reduce the size of this 1048576 byte file by 0 percent.
    Chi square distribution for 1048576 samples is 246.63
    Arithmetic mean value of data bytes is 127.6347 (127.5 = random).
    Monte Carlo value for Pi is 3.132465868 (error 0.29 percent).
category: Cryptography
author: Vincent Hanquez <vincent@snarc.org>
exposed: True
exposed-modules:
    Crypto.Random.AESCtr
hidden-modules: Crypto.Random.AESCtr.Internal
trusted: False
import-dirs: /usr/local/lib/cabal/ghc-7.10.2/cprng-aes-0.6.1
library-dirs: /usr/local/lib/cabal/ghc-7.10.2/cprng-aes-0.6.1
              /usr/local/lib
data-dir: /usr/local/share/cabal/ghc-7.10.2/cprng-aes-0.6.1
hs-libraries: HScprng-aes-0.6.1-LBCPM11dkqSCRdxKo2n2qB
include-dirs: /usr/local/include
depends:
    base-4.8.1.0-b8b97b99f1626bb4a12880f48ca36184
    byteable-0.1.1-a7278182e3643648d81716d02a7463ff
    bytestring-0.10.6.0-3316235c3eca5b6c3be96ecdc7d31040
    cipher-aes-0.2.11-4c082dc6e04c01b01204f73bc655b8eb
    crypto-random-0.0.9-76e282c64bd75b948598ed007038a01a
haddock-interfaces: /usr/local/share/doc/cabal/ghc-7.10.2/cprng-aes-0.6.1/html/cprng-aes.haddock
haddock-html: /usr/local/share/doc/cabal/ghc-7.10.2/cprng-aes-0.6.1/html
' | '/usr/local/bin/ghc-pkg' 'update' '-' '--global' '--no-user-package-db' "$@"
